/* 

   HMG Sample : 
   
     SET WINDOW ... variances
     
   By Bicahi Esgici 
   
   August 2014 

*/

#include <hmg.ch>

PROCEDURE Main()


   SET WINDOW MAIN OFF
   CheckUser()  
   SET WINDOW MAIN ON

   DEFINE WINDOW frmMain ;
       AT 0,0 ;
       WIDTH 400 HEIGHT 400 ;
       TITLE 'Main Window' ;
       MAIN
       ON KEY ESCAPE ACTION ThisWindow.Release      
       @ 150,150  BUTTON Button_1 CAPTION "What is this ?" ACTION MsgInfo ("This is MAIN window of this program.") 
    END WINDOW

    CENTER WINDOW frmMain
    ACTIVATE WINDOW frmMain

RETURN // Main()

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.

PROCEDURE CheckUser()  

   LOCAL cPictFNm := "FolderLock.png", nPicWidth, nPicHeight, aPicBackColor
   
   IF HMG_GetImageInfo( cPictFNm, @nPicWidth, @nPicHeight, @aPicBackColor )
   
      DEFINE WINDOW frmCheckUser;
         AT 0,0;  
         WIDTH nPicWidth;
         HEIGHT nPicHeight;
         BACKCOLOR aPicBackColor; 
         NOSYSMENU;
         NOSIZE;
         NOMINIMIZE;
         NOMAXIMIZE; 
         NOCAPTION;
         TOPMOST;
         CHILD
         
         SET WINDOW frmCheckUser TRANSPARENT TO COLOR aPicBackColor
         
         @ 0, 0 IMAGE Image_1 PICTURE cPictFNm 
         
         @ 100, 30 LABEL  lblUserID VALUE "User ID :"  TRANSPARENT FONTCOLOR YELLOW BOLD
         @  95, 85 TEXTBOX txbUserID WIDTH 90 HEIGHT 20 
         @ 130, 40 LABEL  lblPaswrd VALUE "Password :" TRANSPARENT FONTCOLOR YELLOW BOLD
         @ 125, 110 TEXTBOX txbPasswrd WIDTH 90 HEIGHT 20 PASSWORD 
         
         DEFINE BUTTON  btnApply 
            ROW 180
            COL 80 
            PICTURE "key32.png"
            TOOLTIP "Login" 
            WIDTH 42 
            HEIGHT 42            
            ACTION ConfirmUser()
         END BUTTON    
         
      END WINDOW  // frmCheckUser
      
      frmCheckUser.Center()
      frmCheckUser.Activate()
         
   ELSE
      MsgStop( cPictFNm + " image file open error !. Program aborted !", "ERROR !" )
   ENDIF
   
RETURN // CheckUser()     

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.

PROCEDURE ConfirmUser()

   STATIC nAttempt := 0
   
   LOCAL cUserID := frmCheckUser.txbUserID.Value,;
         cPassword := frmCheckUser.txbPasswrd.Value         

   IF cUserID == "demo" .AND. cPassword == "demo"   
      MsgInfo( "Login allowed" )
      frmCheckUser.Release       
   ELSE
      IF ++nAttempt < 3
         MsgStop( "Wrong user ID or Password !", "ERROR" )
      ELSE   
         QUIT
      ENDIF            
   ENDIF 
RETURN // ConfirmUser()

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.
